Solid Commerce Docs
POST/v1/orders/{id}/payments

POST /v1/orders/{id}/payments

Scopes: orders:orders:write

Requires scope: orders:orders:write.

Parameters

NameInTypeRequiredDescription
idpathinteger<int64>yes

Request body

FieldTypeRequiredDescription
payment_methodinteger<int32>no
amountnumber<double>no
transaction_idstringno
payment_datestring<date-time>no
statusinteger<int32>no
notesstringno

Response (200)

FieldTypeRequiredDescription
idinteger<int64>no
messagestringno

Examples

import { SolidCommerceClient } from '@solidcommerce/sdk';

const client = new SolidCommerceClient({
  apiKey: process.env.SOLIDCOMMERCE_API_KEY!,
});

const { data, error } = await client.raw.POST('/v1/orders/{id}/payments', {
  // params: { path: { id: '...' }, query: { limit: 25 } },
  // body: { /* request body */ },
});

if (error) throw error;
console.log(data);